Subject: Re: bug#52399: 28.0.60; easier access to ORG-NEWS

From: Kévin Le Gouguec <[email-masked]>
Date: Fri, 10 Dec 2021 08:12:40 +0100

Kyle Meyer <[email-masked]> writes:

>> 3. The entry in NEWS for the Org mode update mentions ORG-NEWS, but it
>> doesn't say how to get to it.  (Yes, I know how to get to ORG-NEWS from
>> NEWS.  Do we expect random users to understand the layout of an
>> installed Emacs at that level of detail?)
>
> And I guess this one is for Emacs's side at the time of the sync.
>
> I was looking through the NEWS* files in the Emacs repo for guidance
> from other packages, but I see mostly the same thing ("GNUS-NEWS",
> "MH-E-NEWS", "ERC-NEWS", ...).  I guess there is one that's a little
> different, though I'm not sure how helpful tacking on "./" is: "See the
> file ./MH-E-NEWS for details".
>
> Do you have any suggestions for what would be more helpful to put there?

28.1 introduces etc-authors-mode; perhaps, in a similar vein, we could
add etc-news-mode, and add have the mode initialization function
buttonize these cross-references?

(Older emacsen would get confused by the "mode: etc-news" clause in
newer NEWS files, though…)